R-MOR is a devastating machine made for critical encounters: extreme armor, retractable blades and missile launchers. An unstoppable behemoth.

[![](https://i.imgur.com/liGexI0.jpg)]()
[![](https://media.discordapp.net/attachments/567832879879553037/1057546186036355123/20221228012833_1.jpg?width=1202&height=676)]()
[![](https://i.imgur.com/N4ex8oo.png)]()

## For Skin Creators

To add custom DRONE models to your R-MOR skin, refer to the prefab in the Unity project on the GitHub. The DRONE model is a disabled GameObject attached to the prefab, and the game will attempt to load the textures/mesh from that.

Basically the same as HAN-D's DRONE, just without a saw.

## Installation

Place the RMOR_Reforged folder in /Risk of Rain 2/BepInEx/plugins/  

## To Do
- Fix up all animations
- Emotes
- Better Ability Icons
- Fix Royal Capacitor's Item Display
- Better Starstorm 2 Integration?
- More Skins
- More Abilities
- More polish

## Known Issues
Some Achievements might be host-only. I don't know if this is the case.

Ragdoll kind of explodes and goes wacky. 

If anything is found, please contact me on the RoR2 modding server!

## Resources Used

東方 Project - V2 Reimu Hakurei Fumo (3D scan) (https://skfb.ly/oqJsH) by Renafox is licensed under Creative Commons Attribution (http://creativecommons.org/licenses/by/4.0/).

DOOM (1993) - Sound Effects

Gensou Sky Drift - Extra parts for Mastery Model

## Credits

MoriyaLuna - Main Dev of R-MOR

Moffein - Major Coding Help, Leaving R-MOR model in HAN-D's Unity project for me to see and lose my shit over

TheTimesweeper - HenryMod template, help with Ragdoll

lui - R-MOR Model and Animations

dotflare - Default Skin Textures

## Credits for HAN-D

Moffein - Main Dev of HAN-D

TheTimesweeper - HenryMod template, help with Unity/Animations, general polish. You're a lifesaver!

dotflare - HAN-D Model + Anims

LucidInceptor - DRONE Model

PapaZach - Skill Icons

Tera - FOCUS Skill Icon

Vale-X - SWARM_ARMOR Buff Icon

KoobyKarasu - SMASH Skill Icon

Jaysian - Bankroller

Sounds taken from Risk of Rain 1 and Starstorm

## Changelog

`1.0.1`
-Fixed text issues
-Fixed error where FORTIFY would heal based on base max health rather than current max health.

`1.0.0`
- New model texture by DotFlare!
- More New animations
- CSS Animation Fixed, now uses sounds and screenshake
- All projectiles have new effects and meshes
- Mastery Skin with custom drones and projectiles
- Large amount of new sounds
- Unlocks for all alt skills

- **BALANCE CHANGEs**
- MISSILE Damage reduced from 800% to 600%
- ERADICATE Damage reduced from 420% to 390% to prevent proccing bands

`0.2.5`
- **Removed heavy frame dropping in certain maps.** It's still there to a minor degree, but I do think it's improved quite a bit from before.
- Updated Textures
- New Projectile Particle effects
- Added Effects on using Fortify
- Added Sound and Screen shake on Character Select Screen
- Fixed Overclock not being able to be unlocked

`0.2.2`
- Fixed Readme

`0.2.1`
- Fixed game crashing if Ancient Scepter wasn't installed

`0.2.0`

- Entirely new animations (Thanks, Lui!)
- All projectiles restore Utilities less
- Minor update to CLUSTER_CANNON VFX
- New thruster VFX from missile drones. Active missiles no longer have a particle effect.
- New skill icons!
- SWARM_ASSAULT buff icon has a new color
- SWARM_ASSAULT Attack speed bonus: 10% -> 5%
- FORTIFY Armor: 300 -> 200
- MISSILE: Targeting now works just like HAN-D's DRONE skill
- MISSILE Damage: 300% -> 800%
- Starting Armor: 40 -> 50
- No longer gains armor on Level-Up
- Began work on new ItemDisplays to replace HAN-D's
- Fixed a massive bug where Coil Golems would completely break
- Fixed bug where all stocks of CLUSTER_CANNON would be consumed immediately

`0.1.1`

- I'm stupid (Fixed Language Tokens)
- Sort order defaults to 4.51 (always after HAN-D)
- Removed broken mastery skin

`0.1.0`

- Initial Mod Upload

